## org.eclipse.datatools.modelbase.sql.query.provider
Class SuperGroupItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.ecore.provider.EObjectItemProvider
                  org.eclipse.emf.ecore.provider.EModelElementItemProvider
                      org.eclipse.emf.ecore.provider.ENamedElementItemProvider
                          org.eclipse.datatools.modelbase.sql.schema.provider.SQLObjectItemProvider
                              org.eclipse.datatools.modelbase.sql.query.provider.SQLQueryObjectItemProvider
                                  org.eclipse.datatools.modelbase.sql.query.provider.GroupingSpecificationItemProvider
                                      org.eclipse.datatools.modelbase.sql.query.provider.GroupingItemProvider
                                          org.eclipse.datatools.modelbase.sql.query.provider.SuperGroupItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class SuperGroupItemProvider

extends GroupingItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource

This is the item provider adapter for a `SuperGroup` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`SuperGroupItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary

`java.util.Collection`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

`java.util.List` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.provider.SQLQueryObjectItemProvider
`getResourceLocator`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.provider.SQLObjectItemProvider
`getImage`

Methods inherited from class org.eclipse.emf.ecore.provider.EModelElementItemProvider
`stripToNull`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, createCommand, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildren, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getString, getString, getString, getString, getUpdateableText, hasChildren, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemLabelProvider
`getImage`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### SuperGroupItemProvider

    public SuperGroupItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `GroupingItemProvider`

### getChildrenFeatures

    public java.util.Collection getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `SQLObjectItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `GroupingItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `GroupingItemProvider`